import { EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class CodeEditorAppComponent implements OnInit {
    baseUrl?: string;
    /**
     * According to current browser to get current language
     * @example  'de' | 'es' | 'fr' | 'it' | 'ja' | 'ko' | 'ru' | 'zh-cn' | 'zh-tw'
     */
    localizeCode?: string;
    language: string;
    theme: string;
    defaultValue?: string;
    contentWidth: number;
    contentHeight: number;
    contentChange: EventEmitter<string>;
    languageLabel: string;
    themeLabel: string;
    constructor();
    ngOnInit(): Promise<void>;
    /**
     * switch theme
     */
    themeChange(): void;
    /**
     * switch code language
     */
    languageChange(): void;
    /**
     * get current code value
     */
    getValue(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<CodeEditorAppComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CodeEditorAppComponent, "ngx-code-editor-app", never, { "baseUrl": "baseUrl"; "localizeCode": "localizeCode"; "language": "language"; "theme": "theme"; "defaultValue": "defaultValue"; "contentWidth": "contentWidth"; "contentHeight": "contentHeight"; "languageLabel": "languageLabel"; "themeLabel": "themeLabel"; }, { "contentChange": "contentChange"; }, never, never>;
}
